Name: audit
Version: 1.7
Release: alt1.M41.1

Packager: Stanislav Ievlev <inger@altlinux.org>

Summary: User space tools for 2.6 kernel auditing

License: GPL
Group: System/Base
URL: http://people.redhat.com/sgrubb/audit/
Source: %name-%version.tar.gz
Source1: %name.init
Source2: %name.cron

BuildPreReq: python-dev swig

Requires: lib%name = %version-%release
Requires(post,preun): service

# Automatically added by buildreq on Thu Apr 03 2008
BuildRequires: cvs intltool libgfortran-devel openldap-devel python-devel swig

%description
The audit package contains the user space utilities for
storing and searching the audit records generate by
the audit subsystem in the Linux 2.6 kernel.

%package -n lib%name
Summary: Dynamic library for libaudit
License: LGPL
Group: System/Libraries

%description -n lib%name
The audit-libs package contains the dynamic libraries needed for 
applications to use the audit framework.

%package -n lib%name-devel
Summary: Header files and static library for libaudit
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The audit-libs-devel package contains the static libraries and header 
files needed for developing applications that need to use the audit 
framework libraries.

%prep
%setup -q

%build
#magic from author
(cd system-config-audit;./autogen.sh)
aclocal && autoconf && autoheader && automake

%configure --sbindir=/sbin --libdir=/%_lib --disable-static

%make_build

%install
make DESTDIR=%buildroot install

%__install -d %buildroot%_logdir/%name
%__install -d %buildroot%_sysconfdir/audispd/plugins.d
%__install -d %buildroot/%_libdir/%name

#move development part to libdir
%__install -d %buildroot%_libdir
for i in libaudit libauparse;do
LIBNAME=$(readlink %buildroot/%_lib/$i.so)
ln -s  /%_lib/${LIBNAME##*/}  %buildroot/%_libdir/$i.so
done

#replace init script
%__install -Dpm755 %SOURCE1 %buildroot/%_initdir/%{name}d

#install rotate script
%__install -Dpm755 %SOURCE2 %buildroot/%_sysconfdir/cron.weekly/%{name}d

%post
%post_service %{name}d

%preun
%preun_service %{name}d

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc README ChangeLog contrib
%config(noreplace) %_sysconfdir/cron.weekly/%{name}d
%_initdir/%{name}d
%attr(700,root,root) %_logdir/%name

/sbin/ausearch
/sbin/aureport
%attr(750,root,root) /sbin/auditctl
%attr(750,root,root) /sbin/auditd
%attr(750,root,root) /sbin/autrace
%attr(750,root,root) /sbin/audispd
%attr(750,root,root) /sbin/aulastlog
%attr(750,root,root) /sbin/audisp-remote
%attr(750,root,root) /sbin/audispd-zos-remote


%_man5dir/*
%_man8dir/*

%attr(700,root,root) %dir %_sysconfdir/%name
%config(noreplace) %attr(600,root,root) %_sysconfdir/%name/auditd.conf
%config(noreplace) %attr(600,root,root) %_sysconfdir/%name/audit.rules

%attr(700,root,root) %dir %_sysconfdir/audispd
%config(noreplace) %attr(640,root,root) /etc/audisp/*.conf

%attr(700,root,root) %dir %_sysconfdir/audispd/plugins.d
%config(noreplace) %attr(640,root,root) /etc/audisp/plugins.d/*.conf

%attr(700,root,root) %dir %_libdir/audit

%files -n lib%name
/%_lib/*.so.*
%config(noreplace) %attr(600,root,root) /etc/libaudit.conf

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%changelog
* Tue Sep 23 2008 Stanislav Ievlev <inger@altlinux.org> 1.7-alt1.M41.1
- build for 4.1

* Tue Sep 23 2008 Stanislav Ievlev <inger@altlinux.org> 1.7-alt2
- silent rotate

* Thu Apr 03 2008 Stanislav Ievlev <inger@altlinux.org> 1.7-alt1
- 1.7

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 1.5.4-alt1
- 1.5.4

* Thu May 24 2007 Stanislav Ievlev <inger@altlinux.org> 1.5.3-alt1
- Initial release
